Page MenuHomePhabricator

[SPIKE] How do we measure the impact of lazily loading images
Closed, ResolvedPublic

Description

It's intuitively true that not loading assets when they aren't needed will be beneficial to users with unstable/low-bandwidth connections. However, we should be able to demonstrate this.

We have https://grafana.wikimedia.org/dashboard/db/mobile-2g with which we can see there are 1.355MiB of images in the Barack Obama page and track first render time on this page via webpagetest.

Questions

  • What part of the story is missing from the dashboard?
  • What do we need to capture and measure in order to demonstrate benefit of this work
  • Do we have existing instrumentation to help us measure the impact, if any, of this work? Is it possible to add any?
  • Who will do this? Performance team or reading?

Duration: 4hrs

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedPeter

Event Timeline

phuedx created this task.Jan 26 2016, 12:22 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added subscribers: Nirzar, Volker_E, bd808 and 4 others.
bd808 triaged this task as Normal priority.Jan 26 2016, 6:12 PM
Jdlrobson updated the task description. (Show Details)Jan 27 2016, 7:31 PM
Jdlrobson set Security to None.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jan 28 2016, 11:04 PM
Jdlrobson added a subscriber: Jdlrobson.

Keen to see what happens in T124874 first.

Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Feb 18 2016, 6:41 PM
Peter added a subscriber: Peter.Feb 22 2016, 9:11 AM
Jdlrobson closed this task as Resolved.Mar 10 2016, 6:43 PM
Jdlrobson claimed this task.

Answer:
We will enable for 1% users in production (T127883) and look at impact on navigation timing results on global traffic